### Function

# GUPnP ContextManager create_full

#### Declaration [src]

    GUPnPContextManager*
    gupnp_context_manager_create_full (
      GSSDPUDAVersion uda_version,
      GSocketFamily family,
      guint port
    )

#### Description [src]

Factory-method to create a new `GUPnPContextManager`. The final type of the `GUPnPContextManager` depends on the compile-time selection or - in case of NetworkManager - on its availability during run-time. If it is not available, the implementation falls back to the basic Unix context manager instead.

Available since: | 1.2.0

#### Parameters

`uda_version` | `GSSDPUDAVersion`
| `GSSDPUDAVersion` the created contexts should implement (UDA 1.0 or 1.1). For `GSSDP_UDA_VERSION_UNSPECIFIED` for default.
`family` | `GSocketFamily`
| `GSocketFamily` to create the context for.
`port` | `guint`
| Port to create contexts for, or 0 if you don’t care what port is used.

#### Return value

Returns: | `GUPnPContextManager`
| A new `GUPnPContextManager` object.
| The caller of the function takes ownership of the data, and is responsible for freeing it.